state_MS_dec Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| state_MS_dec (const uint8_t *Dcup, uint32_t Pcup)
void | loadByte ()
void | close (int32_t num_bits)
uint8_t | importMagSgnBit ()
int32_t | decodeMagSgnValue (int32_t m_n, int32_t i_n)

## Private Attributes

uint32_t | pos
uint8_t | bits
uint8_t | tmp
uint8_t | last
const uint8_t * | buf
const uint32_t | length
uint64_t | Creg
uint8_t | ctreg

## Constructor & Destructor Documentation

## state_MS_dec()

state_MS_dec::state_MS_dec | ( | const uint8_t * | Dcup,
|  | uint32_t | Pcup
| ) |  |

inline

References ctreg, and loadByte().

## Member Function Documentation

## close()

void state_MS_dec::close | ( | int32_t | num_bits | ) |

References Creg, ctreg, and loadByte().

Referenced by decodeMagSgnValue().

## decodeMagSgnValue()

int32_t state_MS_dec::decodeMagSgnValue | ( | int32_t | m_n,
|  | int32_t | i_n
| ) |  |

References bitmask32, close(), and Creg.

Referenced by ht_cleanup_decode().

## importMagSgnBit()

uint8_t state_MS_dec::importMagSgnBit | ( |  | ) |

References bits, buf, last, length, pos, and tmp.

## loadByte()

void state_MS_dec::loadByte | ( |  | ) |

References bits, buf, Creg, ctreg, last, length, pos, and tmp.

Referenced by close(), and state_MS_dec().

## Member Data Documentation

## bits

uint8_t state_MS_dec::bits

private

Referenced by importMagSgnBit(), and loadByte().

## buf

const uint8_t* state_MS_dec::buf

private

Referenced by importMagSgnBit(), and loadByte().

## Creg

uint64_t state_MS_dec::Creg

private

Referenced by close(), decodeMagSgnValue(), and loadByte().

## ctreg

uint8_t state_MS_dec::ctreg

private

Referenced by close(), loadByte(), and state_MS_dec().

## last

uint8_t state_MS_dec::last

private

Referenced by importMagSgnBit(), and loadByte().

## length

const uint32_t state_MS_dec::length

private

Referenced by importMagSgnBit(), and loadByte().

## pos

uint32_t state_MS_dec::pos

private

Referenced by importMagSgnBit(), and loadByte().

## tmp

uint8_t state_MS_dec::tmp

private

Referenced by importMagSgnBit(), and loadByte().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp